Package com.collibra.dgc.core.api.dto.meta.complexrelation

# Class AddComplexRelationTypeRequest

Object
AddComplexRelationTypeRequest

All Implemented Interfaces:
  `Serializable`

public class AddComplexRelationTypeRequest extends Object implements Serializable
The properties of the Complex Relation Type to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddComplexRelationTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddComplexRelationTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddComplexRelationTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAcronymCode()`
  The acronym code of the new Complex Relation Type.
  `List<ComplexRelationAttributeTypeRequest>`
  `getAttributeTypes()`
  The list of attribute types for the new Complex Relation Type.
  `String`
  `getColor()`
  The color of the symbol, in a hex format e.g.
  `String`
  `getDescription()`
  The description of the new Complex Relation Type.
  `String`
  `getIconCode()`
  The icon code of the new Complex Relation Type.
  `UUID`
  `getId()`
  The ID of the new Complex Relation Type.
  `List<ComplexRelationLegTypeRequest>`
  `getLegTypes()`
  Required. The list of leg types for the new Complex Relation Type.
  `String`
  `getName()`
  Required. The name of the new Complex Relation Type.
  `String`
  `getPublicId()`
  The public id that will be assigned to the new Complex Relation Type.
  `AssetTypeSymbolType`
  `getSymbolType()`
  Required. The symbol type.
  `int`
  `hashCode()`
  `void`
  `setAcronymCode(String acronymCode)`
  The acronym code of the new Complex Relation Type.
  `void`
  `setAttributeTypes(List<ComplexRelationAttributeTypeRequest> attributeTypes)`
  The list of attribute types for the new Complex Relation Type.
  `void`
  `setColor(String color)`
  The color of the symbol, in a hex format e.g.
  `void`
  `setDescription(String description)`
  The description of the new Complex Relation Type.
  `void`
  `setIconCode(String iconCode)`
  The icon code of the new Complex Relation Type.
  `void`
  `setId(UUID id)`
  The ID of the new Complex Relation Type.
  `void`
  `setLegTypes(List<ComplexRelationLegTypeRequest> legTypes)`
  Required. The list of leg types for the new Complex Relation Type.
  `void`
  `setName(String name)`
  Required. The name of the new Complex Relation Type.
  `void`
  `setPublicId(String publicId)`
  The public id that will be assigned to the new Complex Relation Type.
  `void`
  `setSymbolType(AssetTypeSymbolType symbolType)`
  Required. The symbol type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddComplexRelationTypeRequest

    public AddComplexRelationTypeRequest()

- ## Method Details

  - ### builder

    public static AddComplexRelationTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the new Complex Relation Type. Should be unique within all Complex Relation Types. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### getPublicId

    public String getPublicId()
    The public id that will be assigned to the new Complex Relation Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### getName

    public String getName()
    Required. The name of the new Complex Relation Type. Should be unique within all Complex Relation Types.

  - ### getDescription

    public String getDescription()
    The description of the new Complex Relation Type.

  - ### getColor

    public String getColor()
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.

  - ### getSymbolType

    public AssetTypeSymbolType getSymbolType()
    Required. The symbol type.

  - ### getIconCode

    public String getIconCode()
    The icon code of the new Complex Relation Type.

  - ### getAcronymCode

    public String getAcronymCode()
    The acronym code of the new Complex Relation Type.

  - ### getAttributeTypes

    public List<ComplexRelationAttributeTypeRequest> getAttributeTypes()
    The list of attribute types for the new Complex Relation Type.

  - ### getLegTypes

    public List<ComplexRelationLegTypeRequest> getLegTypes()
    Required. The list of leg types for the new Complex Relation Type. At least one leg should be specified

  - ### setId

    public void setId(UUID id)
    The ID of the new Complex Relation Type. Should be unique within all Complex Relation Types. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### setPublicId

    public void setPublicId(String publicId)
    The public id that will be assigned to the new Complex Relation Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### setName

    public void setName(String name)
    Required. The name of the new Complex Relation Type. Should be unique within all Complex Relation Types.

  - ### setDescription

    public void setDescription(String description)
    The description of the new Complex Relation Type.

  - ### setColor

    public void setColor(String color)
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.

  - ### setSymbolType

    public void setSymbolType(AssetTypeSymbolType symbolType)
    Required. The symbol type.

  - ### setIconCode

    public void setIconCode(String iconCode)
    The icon code of the new Complex Relation Type.

  - ### setAcronymCode

    public void setAcronymCode(String acronymCode)
    The acronym code of the new Complex Relation Type.

  - ### setAttributeTypes

    public void setAttributeTypes(List<ComplexRelationAttributeTypeRequest> attributeTypes)
    The list of attribute types for the new Complex Relation Type.

  - ### setLegTypes

    public void setLegTypes(List<ComplexRelationLegTypeRequest> legTypes)
    Required. The list of leg types for the new Complex Relation Type. At least one leg should be specified

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`